@echo off
setlocal

:: Verifică dacă scriptul este deja rulat cu drepturi de administrator
net session >nul 2>&1
if %errorlevel% neq 0 (
    echo Nu sunt privilegii de administrator. Incercati din nou...
    powershell -Command "Start-Process cmd.exe -ArgumentList '/c %~f0' -Verb runAs"
    exit /b
)

:: Setează variabilele pentru calea către fișiere și parola root
set DB_PATH=%~dp0
set DB_NAME=pos_system
set DB_USER=magazin
set DB_PASS=magazin@123




:: Crează baza de date
echo Creare baza de date %DB_NAME%...
mysql -u root  -e "CREATE DATABASE %DB_NAME%;"
if %errorlevel% neq 0 (
    echo Eroare la crearea bazei de date %DB_NAME%.
    exit /b %errorlevel%
) else (
    echo Baza de date %DB_NAME% a fost creată cu succes.
)

:: Pauză de 10 secunde
echo Așteptare 10 secunde înainte de a continua...
timeout /t 10 /nobreak



echo Toate operațiunile au fost finalizate cu succes.

endlocal
